import { AnimationEvent } from "@angular/animations";
import { EventEmitter } from "@angular/core";
import { Subject } from "rxjs";
import * as i0 from "@angular/core";
export declare class AngularMaterialTimepickerBase {
    /** Defines the default class for the component */
    class: string;
    /** Notifier for the click on an hour */
    hourClicked: EventEmitter<string>;
    /** Notifier for the click on a minute */
    minuteClicked: EventEmitter<string>;
    /** Hours array that will be used to build the html nodes */
    hours: Array<number>;
    /** Minutes array that will be used to build the html nodes */
    minutes: Array<number>;
    /** Current state of the panel animation. */
    _panelAnimationState: 'void' | 'enter';
    /** Whether the menu is animating. */
    _isAnimating: boolean;
    /** Emits whenever an animation on the menu completes. */
    readonly _animationDone: Subject<AnimationEvent>;
    /** Callback that is invoked when the panel animation completes. */
    _onAnimationDone(event: AnimationEvent): void;
    /** Starts the enter animation. */
    _startAnimation(): void;
    /** Resets the panel animation to its initial state. */
    _resetAnimation(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularMaterialTimepickerBase, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AngularMaterialTimepickerBase, never, never, {}, { "minuteClicked": "minuteClicked"; }, never>;
}
