import { Overlay } from '@angular/cdk/overlay';
import { OnDestroy, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AngularMaterialTimepickerDirective implements OnDestroy {
    viewContainerRef: ViewContainerRef;
    overlay: Overlay;
    private componentRef?;
    private notifier;
    private origin?;
    constructor(viewContainerRef: ViewContainerRef, overlay: Overlay);
    ngOnDestroy(): void;
    onFocus(): void;
    /** Pop ups an instance of AMT using CDK Overlay. Also it's attached to the origin input. */
    private loadComponent;
    /** Retrieves a valid hour/minutes time format from the origin input. If the value is not valid, returns an empty array. */
    private getOriginInputHourMinutes;
    /** Sets the origin input time to the component instance if needed and fires change detection */
    private setTimeOnPickerIfNeeded;
    /**
     * Here we merged both emiters (hour and minutes) with combineLatest in order to generate a valid hour format for the input.
     */
    private setupListeners;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularMaterialTimepickerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AngularMaterialTimepickerDirective, "input[angularMaterialTimepicker]", never, {}, {}, never>;
}
